# WOK
TKWOK
WOKAPI

# WOKAPI_SequenceOfUnit Class Reference

`#include <WOKAPI_SequenceOfUnit.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| WOKAPI_SequenceOfUnit ()
Standard_EXPORT void | Clear ()
| ~WOKAPI_SequenceOfUnit ()
Standard_EXPORT const WOKAPI_SequenceOfUnit & | Assign (const WOKAPI_SequenceOfUnit &Other)
const WOKAPI_SequenceOfUnit & | operator= (const WOKAPI_SequenceOfUnit &Other)
Standard_EXPORT void | Append (const WOKAPI_Unit &T)
void | Append (WOKAPI_SequenceOfUnit &S)
Standard_EXPORT void | Prepend (const WOKAPI_Unit &T)
void | Prepend (WOKAPI_SequenceOfUnit &S)
void | InsertBefore (const Standard_Integer Index, const WOKAPI_Unit &T)
void | InsertBefore (const Standard_Integer Index, WOKAPI_SequenceOfUnit &S)
Standard_EXPORT void | InsertAfter (const Standard_Integer Index, const WOKAPI_Unit &T)
void | InsertAfter (const Standard_Integer Index, WOKAPI_SequenceOfUnit &S)
Standard_EXPORT const WOKAPI_Unit & | First () const
Standard_EXPORT const WOKAPI_Unit & | Last () const
void | Split (const Standard_Integer Index, WOKAPI_SequenceOfUnit &Sub)
Standard_EXPORT const WOKAPI_Unit & | Value (const Standard_Integer Index) const
const WOKAPI_Unit & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const WOKAPI_Unit &I)
Standard_EXPORT WOKAPI_Unit & | ChangeValue (const Standard_Integer Index)
WOKAPI_Unit & | operator() (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer FromIndex, const Standard_Integer ToIndex)

## Private Member Functions

Standard_EXPORT | WOKAPI_SequenceOfUnit (const WOKAPI_SequenceOfUnit &Other)

## Constructor & Destructor Documentation

WOKAPI_SequenceOfUnit::WOKAPI_SequenceOfUnit | ( |  | ) |

WOKAPI_SequenceOfUnit::~WOKAPI_SequenceOfUnit | ( |  | ) | `[inline]`

Standard_EXPORT WOKAPI_SequenceOfUnit::WOKAPI_SequenceOfUnit | ( | const WOKAPI_SequenceOfUnit & | Other | ) | `[private]`

## Member Function Documentation

void WOKAPI_SequenceOfUnit::Append | ( | WOKAPI_SequenceOfUnit & | S | ) |

Standard_EXPORT void WOKAPI_SequenceOfUnit::Append | ( | const WOKAPI_Unit & | T | ) |

Standard_EXPORT const WOKAPI_SequenceOfUnit& WOKAPI_SequenceOfUnit::Assign | ( | const WOKAPI_SequenceOfUnit & | Other | ) |

Standard_EXPORT WOKAPI_Unit& WOKAPI_SequenceOfUnit::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void WOKAPI_SequenceOfUnit::Clear | ( |  | ) |

Standard_EXPORT const WOKAPI_Unit& WOKAPI_SequenceOfUnit::First | ( |  | ) | const

void WOKAPI_SequenceOfUnit::InsertAfter | ( | const Standard_Integer | Index,
|  | WOKAPI_SequenceOfUnit & | S
| ) |

Standard_EXPORT void WOKAPI_SequenceOfUnit::InsertAfter | ( | const Standard_Integer | Index,
|  | const WOKAPI_Unit & | T
| ) |

void WOKAPI_SequenceOfUnit::InsertBefore | ( | const Standard_Integer | Index,
|  | WOKAPI_SequenceOfUnit & | S
| ) |

void WOKAPI_SequenceOfUnit::InsertBefore | ( | const Standard_Integer | Index,
|  | const WOKAPI_Unit & | T
| ) |

Standard_EXPORT const WOKAPI_Unit& WOKAPI_SequenceOfUnit::Last | ( |  | ) | const

void WOKAPI_SequenceOfUnit::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKAPI_SequenceOfUnit::operator new | ( | size_t | size | ) | `[inline]`

void* WOKAPI_SequenceOfUnit::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

WOKAPI_Unit& WOKAPI_SequenceOfUnit::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const WOKAPI_Unit& WOKAPI_SequenceOfUnit::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const WOKAPI_SequenceOfUnit& WOKAPI_SequenceOfUnit::operator= | ( | const WOKAPI_SequenceOfUnit & | Other | ) | `[inline]`

void WOKAPI_SequenceOfUnit::Prepend | ( | WOKAPI_SequenceOfUnit & | S | ) |

Standard_EXPORT void WOKAPI_SequenceOfUnit::Prepend | ( | const WOKAPI_Unit & | T | ) |

Standard_EXPORT void WOKAPI_SequenceOfUnit::Remove | ( | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

Standard_EXPORT void WOKAPI_SequenceOfUnit::Remove | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void WOKAPI_SequenceOfUnit::SetValue | ( | const Standard_Integer | Index,
|  | const WOKAPI_Unit & | I
| ) |

void WOKAPI_SequenceOfUnit::Split | ( | const Standard_Integer | Index,
|  | WOKAPI_SequenceOfUnit & | Sub
| ) |

Standard_EXPORT const WOKAPI_Unit& WOKAPI_SequenceOfUnit::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- WOKAPI_SequenceOfUnit.hxx